%define ver_major 2.26

Name: gnome-system-monitor
Version: %ver_major.1
Release: alt1

Summary: Simple process monitor
License: GPLv2+
Group: Monitoring
Url: ftp://ftp.gnome.org
Packager: GNOME Maintainers Team <gnome at packages.altlinux.org>

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2

# From configure.in
%define glib_ver 2.9.1
%define GConf_ver 1.1.5
%define libwnck_ver 2.5.0
%define libgtop_ver 2.26.0
%define gtk_ver 2.15.0
%define gnome_vfs_ver 2.6.0
%define gnome_icon_theme_ver 2.15.3
%define libgtkmm2_ver 2.8
%define glibmm_ver 2.16
%define libxml_ver 2.0
%define rsvg_ver 2.12
%define dbus_ver 0.7

PreReq: librarian
PreReq: GConf2 >= %GConf_ver

BuildPreReq: rpm-build-gnome

# From configure.in
BuildPreReq: intltool >= 0.35.0
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libGConf2-devel >= %GConf_ver
BuildPreReq: libwnck-devel >= %libwnck_ver
BuildPreReq: libgtop-devel >= %libgtop_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: gnome-vfs-devel >= %gnome_vfs_ver
BuildPreReq: gnome-icon-theme >= %gnome_icon_theme_ver
BuildPreReq: libgtkmm2-devel >= %libgtkmm2_ver
BuildPreReq: libglibmm-devel >= %glibmm_ver 
BuildPreReq: libxml2-devel >= %libxml_ver 
BuildPreReq: librsvg-devel >= %rsvg_ver
BuildPreReq: libdbus-glib-devel >= %dbus_ver
BuildPreReq: gnome-doc-utils gnome-common

BuildRequires: docbook-dtds gnome-doc-utils-xslt 

BuildRequires: GConf librarian
# This is, surprisingly, needed, because configure uses it in libintl checks.
BuildRequires: gcc-c++

%description
Gnome-system-monitor is a simple process and system monitor.

%prep
%setup -q

%build
%autoreconf
%configure \
    --disable-scrollkeeper \
    --disable-schemas-install

%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang --with-gnome %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
    %gconf2_uninstall %name
fi

%files -f %name.lang
%_bindir/*
%_pixmapsdir/%name/*
%_desktopdir/*
%config %gconf_schemasdir/*

%changelog
* Tue Apr 14 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.1-alt1
- 2.26.1

* Tue Mar 03 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt1
- 2.26.0

* Tue Jan 20 2009 Yuri N. Sedunov <aris@altlinux.org> 2.24.4-alt1
- 2.24.4

* Tue Jan 13 2009 Yuri N. Sedunov <aris@altlinux.org> 2.24.3-alt1
- 2.24.3
- removed obsolete %%post{,un} scripts

* Tue Oct 21 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt1
- 2.24.1

* Thu Oct 02 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0-alt1
- 2.24.0

* Sun Sep 07 2008 Yuri N. Sedunov <aris@altlinux.org> 2.22.4-alt1
- new version

* Tue Jul 01 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.3-alt1
- new version (2.22.3)

* Mon Jun 02 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.2-alt1
- new version (2.22.2)

* Sat May 03 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.1-alt1
- new version (2.22.1)

* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 2.22.0-alt1.qa1
- NMU (by repocop): the following fixes applied:
 * update_menus for gnome-system-monitor

* Mon Apr 07 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt1
- new version (2.22.0)

* Fri Nov 23 2007 Alexey Shabalin <shaba@altlinux.ru> 2.20.1-alt1
- new version (2.20.1)
- add Packager

* Thu Jul 19 2007 Alexey Rusakov <ktirf@altlinux.org> 2.18.2-alt1
- new version (2.18.2)
- updated dependencies, more use of macros in the spec
- updated files list; removed scrollkeeper files exclusion

* Sat Sep 23 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt1
- new version (2.16.0)

* Mon Aug 28 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.92-alt1
- new version (2.15.92)
- spec cleanup
- gksu support has been dropped

* Wed Apr 12 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.1-alt1
- new version 2.14.1 (with rpmrb script)

* Sat Apr 01 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.0-alt1
- new version 2.14.0 (with rpmrb script)

* Sun Feb 19 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.90-alt1
- new version
- updated dependencies, cleaned up the spec
- got rid of Debian menu stuff
- no more gnomesu support
- gksu support temporarily disabled, until libgksu comes.

* Wed Nov 16 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.13.2-alt1
- new version

* Fri Oct 28 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.13.1-alt1
- new version

* Tue Oct 04 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt1
- new version

* Tue Sep 06 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- 2.12.0
- Removed more excess buildreqs.

* Sat Sep 03 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.11.92-alt1
- 2.11.92
- Removed excess buildreqs.

* Mon Apr 11 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.1-alt1
- 2.10.1

* Tue Mar 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Mon Feb 28 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.92-alt1
- 2.9.92.

* Mon Feb 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.90-alt1
- 2.9.90.

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.7.0-alt1
- 2.7.0

* Sun Jun 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0
- fix ##2076, 3818

* Mon Feb 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.3-alt1
- 2.5.3

* Mon Feb 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.2-alt1
- 2.5.2

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Mon Aug 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Fri Jun 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Mon Jan 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.4-alt1
- new version.

* Thu Nov 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.3-alt1
- 2.0.3

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.2-alt2
- rebuild with new pango, gtk+

* Sat Sep 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.2-alt1
- First build for Sisyphus.
